Package org.apache.batchee.container.status

## Class JobStatus

- java.lang.Object
- - org.apache.batchee.container.status.JobStatus

- All Implemented Interfaces:
    `Serializable`, `Cloneable`

      public class JobStatus
      extends Object
      implements Serializable, Cloneable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobStatus​(long jobInstanceId)` |
    `JobStatus​(javax.batch.runtime.JobInstance jobInstance)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.batch.runtime.BatchStatus` | `getBatchStatus()` |
    `String` | `getCurrentStepId()` |
    `String` | `getExitStatus()` |
    `JobInstanceImpl` | `getJobInstance()` |
    `long` | `getJobInstanceId()` |
    `long` | `getLatestExecutionId()` |
    `String` | `getRestartOn()` |
    `void` | `setBatchStatus​(javax.batch.runtime.BatchStatus batchStatus)` |
    `void` | `setCurrentStepId​(String currentStepId)` |
    `void` | `setExitStatus​(String exitStatus)` |
    `void` | `setJobInstance​(javax.batch.runtime.JobInstance jobInstance)` |
    `void` | `setLatestExecutionId​(long latestExecutionId)` |
    `void` | `setRestartOn​(String restartOn)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobStatus

          public JobStatus​(long jobInstanceId)

    - #### JobStatus

          public JobStatus​(javax.batch.runtime.JobInstance jobInstance)

  - ### Method Detail

    - #### getJobInstanceId

          public long getJobInstanceId()

    - #### setJobInstance

          public void setJobInstance​(javax.batch.runtime.JobInstance jobInstance)

    - #### getJobInstance

          public JobInstanceImpl getJobInstance()

    - #### getCurrentStepId

          public String getCurrentStepId()

    - #### setCurrentStepId

          public void setCurrentStepId​(String currentStepId)

    - #### getBatchStatus

          public javax.batch.runtime.BatchStatus getBatchStatus()

    - #### setBatchStatus

          public void setBatchStatus​(javax.batch.runtime.BatchStatus batchStatus)

    - #### getLatestExecutionId

          public long getLatestExecutionId()

    - #### setLatestExecutionId

          public void setLatestExecutionId​(long latestExecutionId)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### setExitStatus

          public void setExitStatus​(String exitStatus)

    - #### getExitStatus

          public String getExitStatus()

    - #### getRestartOn

          public String getRestartOn()

    - #### setRestartOn

          public void setRestartOn​(String restartOn)